a,
button,
.level-card,
.level-card__link {
    transition: 0.3s;
}

/* =========================
    Hero section
    ========================= */

.hero {
    gap: 60px;
    padding-top: 40px;
    padding-bottom: 40px;
    align-items: center;
}

.hero>* {
    min-width: 0;
}

.hero__left {
    gap: 8px;
}

.hero__left .title-section {
    margin-bottom: 30px;
    text-align: left;
}

.hero__right {
    display: grid;
    gap: 22px;
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
        "a b"
        "a d"
        "c d"
        "c d";
    align-items: start;
    padding: 34px 0 34px 19px;
    position: relative;
}

.tile--a {
    grid-area: a;
}

.tile--b {
    grid-area: b;
}

.tile--c {
    grid-area: c;
}

.tile--d {
    grid-area: d;
}

.full-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.figure-1 {
    position: relative;
    aspect-ratio: 1/1;
    margin-top: -30px;
}

.figure-1 .figure-background {
    background: var(--light-blue-hover);
    position: absolute;
    inset: auto 0 0 0;
    height: calc(100% - 30px);
    z-index: -1;
}

.figure-2 {
    background: var(--light-orange);
    padding: 17px 31px;
    border-radius: 999px;
    font-size: 14px;
    font-family: var(--font-onest);
    line-height: 1;
    color: var(--orange);
}

.figure-2 span {
    font-size: 28px;
    font-family: var(--font-serif);
    font-weight: 600;
    line-height: 38px;
}

.figure-3 {
    aspect-ratio: 1/1;
}

.figure-3 img {
    object-fit: contain;
}

.figure-4 {
    background: var(--light-orange);
    height: 100%;
    overflow: hidden;
}

.figure-4 img {
    object-position: right;
}

.absolute {
    position: absolute;
}

.absolute-image {
    width: auto;
    height: auto;
    z-index: -1;
}

.center-top {
    top: 0;
    left: 50%;
    transform: translate(-55%, -30%);
}

.center-bottom {
    bottom: 0;
    left: 50%;
    transform: translate(-30%, 30%);
}

@media (max-width: 768px) {
    .hero.grid-2 {
        grid-template-columns: 1fr;
    }

    .hero {
        gap: 24px;
        padding-top: 24px;
        padding-bottom: 0;
    }

    .hero__left {
        gap: 14px;
    }

    .hero__left .title-section {
        margin-bottom: 0;
    }

    .figure-2 {
        padding: 8px 14px;
        font-size: 12px;
        gap: 3px;
    }

    .figure-2 span {
        font-size: 18px;
        line-height: 25px;
    }

    .hero__right {
        padding: 21px 0;
    }

    .center-top {
        width: 65px;
        height: 65px;
    }

    .center-bottom {
        width: 250px;
        height: 250px;
    }
}

/* =========================
   Certificate types
   ========================= */

.cert-types__container {
    --ct-pt: 72px;
    --ct-pb: 72px;
    --ct-gap: 24px;

    --ct-list-gap: 12px;
    --ct-list-max: 700px;

    --ct-pill-py: 24px;
    --ct-pill-px: 40px;
    --ct-pill-fz: 18px;

    position: relative;
    padding-top: var(--ct-pt);
    padding-bottom: var(--ct-pb);
    gap: var(--ct-gap);
}

.cert-types__nav {
    display: flex;
    justify-content: center;
}

.cert-types__list {
    margin: 0;
    padding: 0;
    list-style: none;

    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    gap: var(--ct-list-gap);
    max-width: var(--ct-list-max);
}

.cert-types__item {
    flex: 0 0 auto;
}

.cert-types__link {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    padding: var(--ct-pill-py) var(--ct-pill-px);
    border-radius: 999px;

    background: var(--orange);
    color: #fff;

    font-size: var(--ct-pill-fz);
    font-weight: 500;
    line-height: 1;
    white-space: nowrap;
}

.cert-types__link:hover {
    background: var(--orange-hover);
}

/* =========================
    Decorative flowers
    ========================= */

.cert-types__decor {
    pointer-events: none;
    position: absolute;
    overflow: hidden;
    inset: 0;
    height: 120%;
    top: -10%;
}

.cert-types__flower {
    position: absolute;
    width: auto;
    height: auto;
}

/* Left */
.cert-types__flower--tl {
    top: 15%;
    left: 0;
    transform: translateX(-35%);
}

.cert-types__flower--ml {
    top: 55%;
    left: 0;
    transform: translate(80%, -70%);
    z-index: -1;
}

.cert-types__flower--bl {
    bottom: 0%;
    left: 0;
    transform: translateX(-45%);
}

/* Right */
.cert-types__flower--tr {
    top: 15%;
    right: 0;
    transform: translateX(35%);
}

.cert-types__flower--mr {
    top: 55%;
    right: 0;
    transform: translate(-95%, -80%);
    z-index: -1;
}

.cert-types__flower--br {
    bottom: 0%;
    right: 0;
    transform: translateX(45%);
}

/* =========================
    Responsive
    ========================= */

@media (max-width: 768px) {
    .cert-types__container {
        --ct-pt: 32px;
        --ct-pb: 32px;
        --ct-gap: 16px;

        --ct-pill-fz: 18px;
        --ct-pill-py: 20px;
        --ct-pill-px: 20px;
    }

    .cert-types__item {
        width: calc(50% - 4px);
        flex: 0 1 calc(50% - 4px);
    }

    .cert-types__list {
        gap: 12px 8px;
    }

    .cert-types__link {
        width: 100%;
        line-height: 20px;
    }

    .cert-types__flower--bl,
    .cert-types__flower--tr,
    .cert-types__flower--mr {
        display: none;
    }

    .cert-types__flower--tl {
        inset: unset;
        top: 5%;
        right: 0;
        transform: translateX(15%);
        width: 84px;
        height: 84px;
    }

    .cert-types__flower--ml {
        inset: unset;
        bottom: 10%;
        left: 0;
        transform: translateX(-30%);
        z-index: -1;
        width: 105px;
        height: 105px;
    }

    .cert-types__flower--br {
        bottom: 5%;
        right: 0;
        transform: translateX(30%);
        width: 104px;
        height: 104px;
    }
}

/* =========================
   Our Services
   ========================= */

.our-services {
    --link-size: 40px;
    --link-bg: var(--bg);
    --link-bg-hover: var(--orange-hover);
    --card-transition: all 0.6s ease;
    --border-radius: 28px;

    padding-top: 48px;
    padding-bottom: 48px;
    gap: 36px;
}

.our-services__grid {
    gap: 18px;
}

.our-services__item-wrapper {
    height: 367px;
    display: flex;
    transition: var(--card-transition);
    perspective: 1000px;
    perspective-origin: 50% 50%;
}

.our-services__item-container {
    display: flex;
    position: relative;
    transition: var(--card-transition);
    transform-style: preserve-3d;
    width: 100%;
    height: 100%;
}

.our-services__item {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-blend-mode: color;
    background-position: 50%;
    border-radius: var(--border-radius);
    background-size: cover;
    background-repeat: no-repeat;
    padding: 24px;
    transition: background .3s;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    /* Chrome, Safari, iOS */
    -moz-backface-visibility: hidden;
    /* Firefox (старі версії) */
    -ms-backface-visibility: hidden;
    transform-style: preserve-3d;
}

.our-services__item.front {
    z-index: 2;
    transform: translateZ(15px) rotateY(0deg);
    background-image: var(--item-img), linear-gradient(180deg, rgba(25, 25, 25, 0) 0%, rgba(25, 25, 25, 0.7) 100%);
}

.our-services__item.back {
    background-color: var(--orange);
    transform: translateZ(0) rotateY(180deg);
}

.our-services__num {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border: 1px solid var(--bg);
    border-radius: 50%;
    color: var(--bg);
    font-size: 18px;
    font-weight: 500;
    line-height: normal;
}

.our-services__content {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.our-services__item__title {
    font-size: 28px;
    font-weight: 600;
    line-height: 1;
    color: var(--bg);
}

.our-services__links {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.our-services__link {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: var(--link-size);
    color: var(--bg);
    border-radius: 999px;
    border: 1px solid var(--bg);
    font-size: 14px;
    font-weight: 500;
    transition: all 0.4s;
}

.our-services__button-link {
    flex-shrink: 0;
    width: var(--link-size);
    height: var(--link-size);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: var(--link-bg);
    border-radius: 999px;
}

.our-services__icon {
    display: inline-flex;
    width: 6px;
    height: 12px;
}

.our-services__icon svg {
    width: 100%;
    height: 100%;
}

.our-services__icon svg,
.our-services__icon svg path {
    transition: all 0.4s;
}

@media (hover: hover) and (pointer: fine) {
    @media screen and (min-width: 1024px) {
        .our-services__item-wrapper:hover .our-services__item-container {
            transform: rotateY(-180deg);
        }
    }

    .our-services__link:hover {
        background-color: var(--bg);
        color: var(--orange);
    }

    .our-services__button-link:hover {
        background: var(--link-bg-hover);
    }

    .our-services__button-link:hover .our-services__icon svg path {
        stroke: var(--bg);
    }
}

/* =========================
    Responsive
    ========================= */
@media screen and (max-width: 1024px) {
    .our-services {
        --link-bg: var(--orange);
        padding-top: 32px;
        padding-bottom: 32px;
    }

    .our-services__item.front {
        display: none;
    }

    .our-services__item.back {
        background-color: transparent;
        transform: rotateY(0deg);
        background-image: var(--item-img), linear-gradient(180deg, rgba(25, 25, 25, 0) 0%, rgba(25, 25, 25, 0.7) 100%);
    }

    .our-services__content {
        gap: 11px;
    }

    .our-services__item__title {
        font-size: 22px;
    }

    .our-services__links {
        gap: 6px;
    }

    .our-services__icon svg path {
        stroke: var(--bg);
    }
}


@media screen and (max-width: 768px) {
    .our-services {
        gap: 14px;
    }
}

@media screen and (max-width: 425px) {
    .our-services__item-wrapper {
        height: 297px;
    }
}


/* =========================
   Start Now
   ========================= */

.start-now__container {
    --sn-pt: 72px;
    --sn-pb: 72px;
    --sn-gap: 24px;

    position: relative;
    padding-top: var(--sn-pt);
    padding-bottom: var(--sn-pb);
    gap: var(--sn-gap);
}

.start-now__grid .level-cards {
    grid-template-columns: repeat(4, minmax(var(--lc-col-min), var(--lc-col-max)));
}

/* =========================
    Responsive
    ========================= */

@media (max-width: 1024px) {
    .start-now__grid .level-cards {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media screen and (max-width: 768px) {
    .start-now__container {
        --sn-pt: 32px;
        --sn-pb: 32px;
        --sn-gap: 14px;
    }
}

/* =========================
   Our Media
   ========================= */

.our-media__background {
    --om-gap: 24px;
    --om-bg-pad: 22px 22px 44px;
    --om-content-pad: 60px;
    --om-containers-br: 38px;

    padding: var(--om-bg-pad);
    background: var(--border);
    border-radius: var(--om-containers-br);
}

.our-media__content {
    gap: var(--om-gap);
    border-radius: var(--om-containers-br);
    background: var(--bg);
    overflow: hidden;
}

.our-media__content__container {
    padding: var(--om-content-pad);
    padding-bottom: 0;
}

.our-media__bottom {
    position: relative;
    gap: 30px;
}

.our-media__sticky {
    position: sticky;
    top: 30px;
    height: auto;
    overflow: hidden;
}

.our-media__cards-block {
    padding: var(--om-content-pad);
    padding-top: 0;
}

.our-media__cards {
    margin: 0 auto;
    width: 100%;
    gap: 23px;
    will-change: transform;
    justify-content: center;
    /* transform: translate3d(0,0,0); */
}

.our-media__card {
    max-width: 320px;
    width: 100%;
}

/* .our-media__card:last-child {
    box-sizing: content-box;
    padding-right: calc(60px * 2);
} */

.our-media__card__img-wrapper {
    display: flex;
}

.our-media__card__img-wrapper img {
    height: auto;
}

@media screen and (max-width: 768px) {
    .our-media__background {
        --om-gap: 16px;
        --om-bg-pad: 5px 5px 10px;
        --om-content-pad: 18px 9px 28px;

        --om-containers-br: 28px;
    }

    .our-media__container {
        padding-left: 0;
        padding-right: 0;
    }

    .our-media__sticky {
        top: 70px;
    }

    .our-media__bottom {
        gap: 16px;
    }

    .our-media__wrapper {
        padding: 0 14px;
    }

    .our-media__cards-block {
        padding: 28px;
        padding-top: 0;
    }

    .our-media__cards {
        gap: 12px;
    }

    .our-media__card:nth-child(3) {
        display: none;
    }
}

.faq__container {
    padding-bottom: 72px;
}

@media screen and (max-width: 768px) {
    .faq__container {
        padding-bottom: 32px;
    }
}
